export default function initDeadlineDisplay() {
    document.querySelectorAll('[data-behaviour="deadline_display"]').forEach((span) => {
        const deadline = new Date(span.dataset.deadline)

        function update() {
            const remaining = Math.floor((deadline - new Date()) / 1000)
            const days = Math.floor(remaining / (60 * 60 * 24))
            const hours = Math.floor((remaining % (60 * 60 * 24)) / (60 * 60))
            const minutes = Math.floor((remaining % (60 * 60)) / 60)
            const seconds = remaining % 60
            let remainingText = ""
            if (days > 0) {
                remainingText += `${days} dagen, `
            }
            if (days > 0 || hours > 0) {
                remainingText += `${hours} uren, `
            }
            if (days > 0 || hours > 0 || minutes > 0) {
                remainingText += `${minutes} minuten en `
            }
            remainingText += `${seconds} seconden`
            span.innerText =  remainingText
        }

        setInterval(update, 200)
    })
}
